package com.pcloud.book.copyright.entity;

import com.pcloud.common.entity.BaseEntity;

import org.springframework.stereotype.Component;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/5/21 17:39
 */
public class BookAuthCodeImportRecord extends BaseEntity {

    private Long id;

    private Long bookId;

    private Long channelId;

    private Long adviserId;

    private String fileName;

    private String fileUrl;

    private Long createUser;

    @ApiModelProperty("是否是现代纸书")
    private Integer isPaperBook;

    @ApiModelProperty("是否是社群书")
    private Integer isGroupBook;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public Integer getIsPaperBook() {
        return isPaperBook;
    }

    public void setIsPaperBook(Integer isPaperBook) {
        this.isPaperBook = isPaperBook;
    }

    public Integer getIsGroupBook() {
        return isGroupBook;
    }

    public void setIsGroupBook(Integer isGroupBook) {
        this.isGroupBook = isGroupBook;
    }

    @Override
    public String toString() {
        return "BookAuthCodeImportRecord{" +
                "id=" + id +
                ", bookId=" + bookId +
                ", channelId=" + channelId +
                ", adviserId=" + adviserId +
                ", fileName='" + fileName + '\'' +
                ", fileUrl='" + fileUrl + '\'' +
                ", createUser=" + createUser +
                ", isPaperBook=" + isPaperBook +
                ", isGroupBook=" + isGroupBook +
                '}';
    }
}
